=== experimentos/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include -I../Rtk/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

LIBRTK= ../Rtk/libRtk.a
LIBRTK3D= ../Rtk/libRtk3D.a
LIBDS=  ../drawstuff/libdrawstuff.a


#------------
#-- View
#------------
NAME1= Espectro_N_modulo
DEP1 = modulo/$(NAME1).o

NAME2= Osciloscopio-Y1
DEP2 = modulo/$(NAME2).o

NAME3= Osciloscopio-Y1-escalon
DEP3 = modulo/$(NAME3).o

NAME4= Osciloscopio-Y1-escalon2
DEP4 = modulo/$(NAME4).o

all: $(NAME1) $(NAME2) $(NAME3) $(NAME4)

  
#---------------------------
#       OBJETIVOS
#---------------------------

$(NAME1): $(DEP1)
	    $(CC) -o $@ $(DEP1)  $(LIBRTK) $(LIB) 
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~
    

$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~
    
$(NAME3): $(DEP3)
	    $(CC) -o $@ $(DEP3)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~
    
$(NAME4): $(DEP4)
	    $(CC) -o $@ $(DEP4)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~
