=== debian/control ===
Source: libstargate
Section: python
Priority: optional
Maintainer: Juan Nadie <juan.nadie@loquesea.es>
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: cdbs (>= 0.4.43), python-all-dev (>= 2.3.5-11), python-central (>= 0.5.6), docbook-xsl
Standards-Version: 3.7.2
XS-Python-Version: 2.4, 2.5

Package: python-libstargate
Architecture: any
Depends: ${python:Depends}, python-serial
XB-Python-Version: 2.4, 2.5
Description: Libreria para descarga de programas en la tarjeta Skypic
 Libreria en python para implementar aplicaciones que pueden descargar
 firmware en la tarjeta Skypic, basada en el PIC16F876A
