=== debian/rules ===
#!/usr/bin/make -f
  
DEB_PYTHON_SYSTEM=pycentral
DBK2MAN_XSL=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

build/pydownloader-wx::
	xsltproc --nonet $(DBK2MAN_XSL) man/pydownloader-wx.xml

install/pydownloader-wx::
	mv $(CURDIR)/debian/pydownloader-wx/usr/bin/pydownloader-wx.py $(CURDIR)/debian/pydownloader-wx/usr/bin/pydownloader-wx
	
clean::
	rm -f pydownloader-wx.1
